pmdbg.h File Reference

PM (Process Manager) debug service. More...

`#include <3ds/services/pmapp.h>`

Go to the source code of this file.

## Functions

Result | pmDbgInit (void)
| Initializes pm:dbg.
void | pmDbgExit (void)
| Exits pm:dbg.
Handle * | pmDbgGetSessionHandle (void)
| Gets the current pm:dbg session handle. More...
Result | PMDBG_LaunchAppDebug (Handle *outDebug, const FS_ProgramInfo *programInfo, u32 launchFlags)
| Enqueues an application for debug after setting cpuTime to 0, and returns a debug handle to it. More...
Result | PMDBG_LaunchApp (const FS_ProgramInfo *programInfo, u32 launchFlags)
| Launches an application for debug after setting cpuTime to 0. More...
Result | PMDBG_RunQueuedProcess (Handle *outDebug)
| Runs the queued process and returns a debug handle to it. More...

## Detailed Description

PM (Process Manager) debug service.

## Function Documentation

## PMDBG_LaunchApp()

Result PMDBG_LaunchApp | ( | const FS_ProgramInfo * | programInfo,
|  | u32 | launchFlags
| ) |  |

Launches an application for debug after setting cpuTime to 0.

Parameters

  programInfo | Program information of the title.
  launchFlags | Flags to launch the title with.

## PMDBG_LaunchAppDebug()

Result PMDBG_LaunchAppDebug | ( | Handle * | outDebug,
|  | const FS_ProgramInfo * | programInfo,
|  | u32 | launchFlags
| ) |  |

Enqueues an application for debug after setting cpuTime to 0, and returns a debug handle to it.

If another process was enqueued, this just calls RunQueuedProcess instead.

Parameters

  [out] | Pointer | to output the debug handle to.
  | programInfo | Program information of the title.
  | launchFlags | Flags to launch the title with.

## PMDBG_RunQueuedProcess()

Result PMDBG_RunQueuedProcess | ( | Handle * | outDebug | ) |

Runs the queued process and returns a debug handle to it.

Parameters

  [out] | Pointer | to output the debug handle to.

## pmDbgGetSessionHandle()

Handle* pmDbgGetSessionHandle | ( | void |  | ) |

Gets the current pm:dbg session handle.

Returns
  The current pm:dbg session handle.